## imcode.server.user
Class RoleIds

    java.lang.Object
      imcode.server.user.RoleIds

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class RoleIds

extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`RoleIds()`
`RoleIds(RoleId[] roleReferences)`

Method Summary
`void` `add(RoleId roleId)`
`java.util.Set` `asSet()`
`protected java.lang.Object` `clone()`
`boolean` `contains(RoleId roleId)`
`boolean` `isEmpty()`
`void` `remove(RoleId roleId)`
`RoleId[]` `toArray()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoleIds

    public RoleIds()

### RoleIds

    public RoleIds(RoleId[] roleReferences)

Method Detail

### add

    public void add(RoleId roleId)

### clone

    protected java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### remove

    public void remove(RoleId roleId)

### contains

    public boolean contains(RoleId roleId)

### toArray

    public RoleId[] toArray()

### asSet

    public java.util.Set asSet()

### isEmpty

    public boolean isEmpty()